> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zapier.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all inboxes.

> List all inboxes for the authenticated user.



## OpenAPI

````yaml white-label/trigger-inbox-openapi.yaml get /trigger-inbox/v1/inboxes
openapi: 3.1.0
info:
  title: Trigger Inbox API
  description: >-
    Manage trigger inboxes and their messages — create, pause, resume, and
    delete inboxes; list, lease, and acknowledge messages.
  version: 1.0.0
  contact:
    url: https://docs.zapier.com
servers:
  - url: https://api.zapier.com
    description: Production
security:
  - OAuth: []
tags:
  - name: inbox
    description: Inbox API endpoints
  - name: message
    description: Message API endpoints
paths:
  /trigger-inbox/v1/inboxes:
    get:
      tags:
        - inbox
      summary: List all inboxes.
      description: List all inboxes for the authenticated user.
      operationId: listTriggerInboxes
      parameters:
        - name: limit
          required: false
          in: query
          description: Number of results to return per page.
          schema:
            type: integer
        - in: query
          name: name
          schema:
            type: string
        - name: offset
          required: false
          in: query
          description: The initial index from which to return the results.
          schema:
            type: integer
        - in: query
          name: status
          schema:
            type: string
            enum:
              - active
              - deleting
              - initialization_failure
              - initializing
              - paused
          description: |-
            * `initializing` - initializing
            * `active` - active
            * `paused` - paused
            * `deleting` - deleting
            * `initialization_failure` - initialization_failure
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedInboxList'
          description: ''
          headers:
            X-RateLimit-Limit:
              $ref: '#/components/headers/X-RateLimit-Limit'
            X-RateLimit-Remaining:
              $ref: '#/components/headers/X-RateLimit-Remaining'
            X-RateLimit-Reset:
              $ref: '#/components/headers/X-RateLimit-Reset'
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Errors'
          description: 'Validation Error: Return fields with errors.'
          headers:
            X-RateLimit-Limit:
              $ref: '#/components/headers/X-RateLimit-Limit'
            X-RateLimit-Remaining:
              $ref: '#/components/headers/X-RateLimit-Remaining'
            X-RateLimit-Reset:
              $ref: '#/components/headers/X-RateLimit-Reset'
        '429':
          headers:
            Retry-After:
              $ref: '#/components/headers/Retry-After'
            X-RateLimit-Limit:
              $ref: '#/components/headers/X-RateLimit-Limit'
            X-RateLimit-Remaining:
              $ref: '#/components/headers/X-RateLimit-Remaining'
            X-RateLimit-Reset:
              $ref: '#/components/headers/X-RateLimit-Reset'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Errors'
          description: Too many requests.
      security:
        - OAuth:
            - external
components:
  schemas:
    PaginatedInboxList:
      type: object
      required:
        - count
        - results
      properties:
        count:
          type: integer
          description: Total number of results across all pages.
          example: 123
        next:
          type: string
          description: Link to next page of results if any.
          nullable: true
          format: uri
          example: https://api.example.org/accounts/?offset=400&limit=100
        previous:
          type: string
          description: Link to previous page of results if any.
          nullable: true
          format: uri
          example: https://api.example.org/accounts/?offset=200&limit=100
        results:
          description: Array of results for the current page.
          type: array
          items:
            $ref: '#/components/schemas/Inbox'
    Errors:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ErrorDetail'
          description: An array of error objects.
      required:
        - errors
    Inbox:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
          description: The unique identifier for the inbox.
        created_at:
          type: string
          format: date-time
          readOnly: true
          description: Creation timestamp in ISO 8601 format.
        name:
          type:
            - string
            - 'null'
          description: >-
            An optional name for the inbox. Must be unique per user within the
            context of an account.
          maxLength: 100
        status:
          type: string
          readOnly: true
          description: The status of the inbox.
        paused_reason:
          description: |-
            The reason the inbox was paused, if applicable.

            * `user` - user
            * `authentication` - authentication
            * `authentication_access_revoked` - authentication_access_revoked
            * `partner_revoked` - partner_revoked
            * `subscribe_failed` - subscribe_failed
            * `migrate_failed` - migrate_failed
            * `abandoned` - abandoned
            * `unknown` - unknown
            * `upstream_failures` - upstream_failures
          oneOf:
            - $ref: '#/components/schemas/PausedReasonEnum'
            - $ref: '#/components/schemas/BlankEnum'
            - $ref: '#/components/schemas/NullEnum'
        notification_url:
          type:
            - string
            - 'null'
          format: uri
          description: URL to POST notifications to when messages become available.
          maxLength: 2048
        subscription:
          $ref: '#/components/schemas/TriggerSubscription'
      required:
        - created_at
        - id
        - status
        - subscription
    ErrorDetail:
      type: object
      description: >-
        Per the schema defined in the engineering index.


        https://engineering.zapier.com/guides/api-design-guidelines/error-handling/
      properties:
        code:
          type: string
          description: A unique identifier for this particular occurrence of the problem.
        detail:
          type: string
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
        status:
          type: integer
          description: HTTP status code for that error.
        title:
          type: string
          description: A short summary of the problem.
        source:
          type: object
          additionalProperties: {}
          description: An object containing references to the primary source of the error.
      required:
        - code
        - detail
    PausedReasonEnum:
      enum:
        - user
        - authentication
        - authentication_access_revoked
        - partner_revoked
        - subscribe_failed
        - migrate_failed
        - abandoned
        - unknown
        - upstream_failures
      type: string
      description: |-
        * `user` - user
        * `authentication` - authentication
        * `authentication_access_revoked` - authentication_access_revoked
        * `partner_revoked` - partner_revoked
        * `subscribe_failed` - subscribe_failed
        * `migrate_failed` - migrate_failed
        * `abandoned` - abandoned
        * `unknown` - unknown
        * `upstream_failures` - upstream_failures
    BlankEnum:
      enum:
        - ''
    NullEnum:
      type: 'null'
    TriggerSubscription:
      type: object
      description: Trigger subscription configuration for an inbox.
      properties:
        connection_id:
          oneOf:
            - type: string
              format: uuid
            - type: integer
              format: integer
            - type: 'null'
          description: The ID of the connection associated with this inbox.
        app_key:
          type: string
          description: >-
            App identifier. Accepts a fully-versioned selected_api
            (`SlackCLIAPI@1.0.0`, used as-is), a versionless selected_api
            (`SlackCLIAPI`), the `@latest` sentinel (`SlackCLIAPI@latest`), or a
            service slug (`slack`). Versionless, `@latest`, and slug forms are
            resolved to the latest published version at creation time; the inbox
            always stores and returns the fully-versioned form. Returns 400 if
            the identifier matches no app or is ambiguous (matches more than
            one).
        action_key:
          type: string
          description: The key of the app action associated with this inbox.
        inputs:
          type: object
          additionalProperties: {}
          description: The inputs provided to the app action associated with this inbox.
      required:
        - action_key
        - app_key
        - inputs
  headers:
    X-RateLimit-Limit:
      schema:
        type: string
      description: The rate limit ceiling for that given request.
      required: true
    X-RateLimit-Remaining:
      schema:
        type: string
      description: The number of requests left for the window.
      required: true
    X-RateLimit-Reset:
      schema:
        type: string
      description: The time at which the current rate limit window resets in seconds.
      required: true
    Retry-After:
      schema:
        type: number
      description: The number of seconds to wait before making a new request.
      required: true
  securitySchemes:
    OAuth:
      type: oauth2
      description: OAuth 2.0 authentication.
      flows:
        authorizationCode:
          authorizationUrl: https://zapier.com/oauth/authorize
          tokenUrl: https://zapier.com/oauth/token
          scopes:
            external: Scope that gives access to all Public APIs
        clientCredentials:
          tokenUrl: https://zapier.com/oauth/token
          scopes:
            external: Scope that gives access to all Public APIs

````